## NAME

SG3d - 3 Dimensional Surface Renderer for use on Silicon Graphics sorkstations

## SYNOPSIS

SG3d
SG3d help
SG3d [-w] [-z] elev=name color=name[,name,name] [vector=name] [sites=name] [3dview=name] [script=name]

## DESCRIPTION

SG3d is a tool for viewing a data surface in three dimensions using GRASS on Silicon Graphics IRIS computers. At startup, one graphics window and several interface windows are visible. Other interface windows pop up when their appropriate toggle button is clicked in the Menus panel. To hide the pop up windows, click again on their toggle button in the Menus panel - using the Quit or Close options from the window manager's menu bar will cause the program to exit.

## COMMAND LINE OPTIONS

Flags

         -w   Enable writing to script files

         -z   Use site category as Z value (height)  when  displaying
              sites

Parameters

         elev
              Raster file for Elevation

         color
              Raster file(s) for Color (1 or 3 files). If three files
              are  given,  the  first  will  be used for the red com-
              ponent, the second for  the  green  component  and  the
              third  for  the blue component. When using three files,
              each file must contain values in the range 0 - 255.

         vector
              Vector overlay file

         sites
              Sites overlay file

         3dview
              3d viewing parameters file

         script
              Automatically run script file

If the user simply types SG3d without specifying parameter values on the command line, the program will prompt the user to enter these.

## NOTES

Environment variables SG3D_WIDTH and SG3D_HEIGHT may be set to define the width and height (in pixels) of the graphics window at startup. All SG3d windows may be resized using the window manager's normal controls at any time. Text in the control panels is not scalable, however, so the text will disappear if the panel is sized too small.

Before starting the program, check the resolution and dimen- sions of the current GRASS region. The current resolution will determine the best resolution available in SG3d. For speed, the entire raster file is loaded into memory, along with vertex color and other surface information needed for lighting calculations. Thus, large dimensions such as 1000 rows x 1000 columns may cause memory problems. SG3d uses 12 bytes of memory for each vertex, therefore a 1000 x 1000 image would require 12 megabytes for data alone.

The GRASS text window is used by SG3d to issue prompts and warnings and to input filenames. Therefore, after starting the program, place the GRASS text window where it can be seen and typed into.

Any sliders and dials used in the control panels have a FINE ADJUSTMENT: Hold down the Ctrl key while manipulating the dial or slider for fine control.

Full documentation detailing the action associated with each control is available in the tutorial.

## BUGS

Sometimes very small holes will appear in the surface. If they appear as points when drawing polygons with grid over- laid, the bug is in the Graphics Library and it should be fixed in future versions of IRIX. If the holes appear along an edge of a polygon, it is apparently due to the way non- planar polygons are interpreted. In this case, drawing using the triangulate option should make the holes disap- pear.

## AUTHORS

David Gerdes and Bill Brown, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:32 $